%define name	freebirth
%define version	0.3.2
%define release	11mdk
%define	Summary	Bass synth/sequencer/sample player for linux

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
Patch0:		%{name}-optflags.patch.bz2
Patch1:		freebirth-0.3.2-debian-fixes.patch.bz2
URL:		http://www.bitmechanic.com/projects/freebirth/
License:	GPL 
Group:		Sound
BuildRequires:	libgtk+-devel libglib-devel XFree86-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Freebirth is a free software bass synthesizer / step sequencer
 / sample player. The bass synthesizer is vaguely 303ish but
also has other capabilities such as 

 - Three oscillators (saw, sin, sqr)
 - Phase offsets for each oscillator
 - Separate filter and amplitude envelopes
 - Separate tuning for each oscillator
 - Two effects busses (reverb and delay).

%prep
%setup -q
%patch0 -p0
%patch1 -p1

%build
# quick patch for samples in /usr/share/freebirth
perl -pi -e "s|FB_SAMPLES \".\"|FB_SAMPLES \"/usr/share/freebirth\"||g;" \
  raw_wave.h

# actual make
#make all
%make OPTFLAGS="$RPM_OPT_FLAGS -O3"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/freebirth/raw/
install -m755 %{name} -D $RPM_BUILD_ROOT%{_bindir}/%{name}
install -m755 wav_to_raw -D $RPM_BUILD_ROOT%{_bindir}/wav_to_raw
install -m644 raw/*.raw $RPM_BUILD_ROOT%{_datadir}/freebirth/raw/

#menu item
install -d %{buildroot}%{_menudir}
cat <<EOF > %{buildroot}%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" \
		icon=%{name}.png \
		needs="x11" \
		section="Multimedia/Sound" \
		title="Freebirth"\
		longtitle="%{Summary}"
EOF

install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES INSTALL NEXT_VERSION README
%{_bindir}/*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/raw
%{_datadir}/%{name}/raw/*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}

%changelog
* Wed Jul 06 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.3.2-11mdk
- update from Sat Jan 22 2005 that got lost
- Fixed segmentation fault on file load in Sample Pitch (P1 from debian)
- compile with -O3
- a little nicer description (from debian)
- change summary macro to avoid possible conflicts if we were to build debug package
- don't bzip2 icons

* Wed May 26 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-10mdk
- rebuild

* Sat Mar 15 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.3.2-9mdk
- added missing BuildRequires

* Sun Mar 09 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.3.2-8mdk
- quiet setup
- do not rm -rf buildroot in prep stage
- nicer formatting
- added menu item
- added icons (Source1)
- fixed optimize flags (Patch0)

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-7mdk
- rebuild

* Thu Aug 29 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-6mdk
- rebuild

* Mon Jul 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-5mdk
- rebuild

* Tue Jan 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-4mdk
- rebuild

* Tue Aug 31 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-3mdk
- BM
- Macros

* Fri Jul 14 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com> 0.3.2-2mdk
  - v0.3.2-2mdk
  - relocated raw files

* Fri Jul 14 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  - v0.3.2-1mdk (initial packaging)
